import asyncio
import json
import sys, os
import cbor2
import functools
import traceback
import datetime
import time
from pathlib import Path

from utils import *
import communication
from communication import server_exec
import server


class AdminServer(server.MainServer):
    @server_exec()
    async def remove_data(self, dt: datetime.datetime):
        path = "data/realtime/"+dt_to_path(dt)
        out = {}
        if os.path.isdir(path):
            for filename in os.listdir(path):
                os.remove(path+'/'+filename)
            os.rmdir(path)
        if os.path.isfile(path+".json.zst"):
            os.remove(path+".json.zst")
        if os.path.isfile(path+".json.gzip"):
            os.remove(path+".json.gzip")


async def main():
    s = await communication.StdInOutSocket().connect()
    await AdminServer(s, is_server=True)._server_.run()

if __name__ == "__main__":
    asyncio.run(main())
