import communication
import subprocess
import asyncio

local = communication.DownloadServer()

def disk_usage_pcent():
    p =  subprocess.run(["df", ".", "--output=pcent", "--sync"], stdout=subprocess.PIPE, encoding="utf-8", check=True)
    return int(p.stdout.split("\n")[1].split("%")[0])


async def main():
    while True:
        usage = disk_usage_pcent()
        if usage <= 94: break
        print(f"Disk usage too high ({usage}%)")
        first_realtime = await local.list_next_realtime_data(communication.dt_minf)
        print("REMOVE", first_realtime)
        await local.remove_data(first_realtime)

asyncio.run(main())
