#!/bin/bash

while true
do
	rm -fr tmp/gtfs tmp/gtfs.zip
	time="$(date '+%Y-%m-%d--%H-%M-%S')"
	ymd=${time:0:10}
	hms=${time:12}
	h=${hms:0:2}
	ms=${hms:3}
	if [[ 1$h -ge 107 ]] # hack preventing for parsing in base 8
	then
		if [[ -d data/gtfs/$ymd ]]
		then
			echo today yet done
		else
			curl https://data.pid.cz/PID_GTFS.zip --fail --silent > tmp/gtfs.zip
			curl_code=$?
			[[ $curl_code != 0 ]] && echo error curl fail with code $curl_code && continue
			unzip -d tmp/gtfs tmp/gtfs.zip
			unzip_code=$?
			[[ $unzip_code != 0 ]] && echo error unzip fail with code $unzip_code && continue
			prog/run_py gtfs_make_shape_by_id.py tmp/gtfs
			r=$?
			[[ $r != 0 ]] && echo error gtfs_make_shape_by_id fail with code $r && continue
			cp tmp/gtfs data/gtfs/$ymd -r
		fi
	else
		echo too early '(before 7am)' to download 
	fi
	sleep 5m
done
