Zpracování dat realtime poloh Pražské integrované dopravy
=========================================================

Cílem projektu je zpracovávat data z veřejně dostupného API obsahujícího aktuální
polohu vozidel PID [1] za pomocí aktuálních jízdních řádů dostupných z [2].

Data budou pravidelně stahována z dvou oddělených míst v síti a následně
spojována do ucelené komprimované historie (odolnost proti výpadkům). Nad danou
historií dále bude provedena agregace dat tak, aby na obvyklé dotazy bylo možné
odpovídat rychle.

Na počítačích připojených po síti bude možné zobrazovat historická i aktuální
data pomocí interaktivní mapy a grafů linek či spojů.

Z poloh vozidel budu počítat pozici v rámci tratě na včetně procentuální polohy
mezi dvojicí zastávek a případně detekovat sjetí z trasy.

Kombinací aktuálních a historických dat se pak pokusím predikovat čas
příjezdu/odjezdu z následujících stanic včetně odhadu rozptylu a případného
zobrazení odhadované distribuce. Tyto data bude možné zobrazovat v tabulce
odjezdů případně do budoucna mohou být použita pro lepší vyhledávání spojení.

Projekt bude převážně implementován v pythonu spouštěném přes pypy3.
Pokud naznám, že na některé věci se jedná o moc pomalý nástroj, přepíši
je do něčeho rychlejšího (pravděpodobně c/c++).

Na zobrazování mapových dat budu používat QGIS, který podporuje moduly napsané
v pythonu.

[1] https://api.golemio.cz/pid/docs/openapi/#/%F0%9F%9A%8F%20PID%20Departure%20Boards
[2] https://pid.cz/o-systemu/opendata/
